Pligg多个跨站脚本和跨站请求伪造漏洞

2009-12-04T00:00:00
ID SSV:15024
Type seebug
Reporter Root
Modified 2009-12-04T00:00:00

Description

BUGTRAQ ID: 37185

Pligg是可以免费下载使用的开源内容管理系统。

Pligg没有正确地过滤用户提交给admin/admin_config.php、admin/admin_modules.php、 delete.php、editlink.php、submit.php、submit_groups.php、 user_add_remove_links.php、user_settings.php等脚本的Referer头,远程攻击者可以通过提交恶意请求执行跨站脚本攻击;此外Pligg未经执行任何有效性检查便允许用户通过HTTP请求执行某些操作,如果登录的管理用户访问了恶意站点就可能导致创建任意管理权限用户。 0 Pligg 1.0.3 厂商补丁:

Pligg

目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://www.pligg.com/blog/775/pligg-cms-1-0-3-release/